Subject: RE: [Fwd: Re: Problem with: Apache/2.0.36 (Unix) mod_ssl/2.0.36 O penSSL/0.9.6d]

From: Eider Silva de Oliveira <[email-masked]>
Date: Thu, 6 Jun 2002 13:17:17 -0300

>Also, if "SSLMutex none" fixes it, I wonder if "SSLMutex
>sem" could similarly fix it.  Is it just a problem with file:?
No, because there is another bug in semaphore mutex. The semaphore is
created under root, and the user nobody doesn't have permission to alter it.

[]s

_________________________________________
Eider Oliveira
ICQ#:116119057

Engenharia de Sistemas - Uol Inc
[email-masked]
_________________________________________

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Thomas Gagné
Sent: quinta-feira, 6 de junho de 2002 09:20
To: modssl-users
Subject: [Fwd: Re: Problem with: Apache/2.0.36 (Unix) mod_ssl/2.0.36
OpenSSL/0.9.6d]

Quer ter seu próprio endereço na Internet?
Garanta já o seu e ainda ganhe cinco e-mails personalizados.
DomíniosBOL - http://dominios.bol.com.br

-------- Original Message --------
Subject: Re: Problem with: Apache/2.0.36 (Unix) 
mod_ssl/2.0.36 OpenSSL/0.9.6d
Date: Tue, 04 Jun 2002 15:48:36 -0400
From: Thomas Gagné <[email-masked]>
Organization: http://extra.newsguy.com
Newsgroups: comp.infosystems.www.servers.unix
References: <s9VK8.162210$L76.247490@rwcrnsc53> 
<[email-masked]> 
<[email-masked]>

I'm having a similar problem with hangs using 2.0.36, but
didn't know it may have been caused by going from http: to
https:.  Regardless, I noticed my SSLMutex setting was
file:logs/ssl_mutex.  The documentation doesn't say the file
must exist, and on my system it didn't exist before
'startssl' and it didn't exist after 'startssl'.  I'm
curious if anyone else noticed that.

Also, if "SSLMutex none" fixes it, I wonder if "SSLMutex
sem" could similarly fix it.  Is it just a problem with file:?

Ken Roser wrote:
 > I also am experiencing the same problem as Harley on my 
Redhat 7.3 box.
 > I tried updating from OpenSSL 9.6b to 9.6d to fix it but 
that didn't work.
 >
 > Jan's fix of  "SSLMutex none" does solve the problem for 
me but I'd like
 > to learn more about the consequences of eliminating the 
mutexes.  Can
 > someone provide more detail on this issue?
 >
 > Jan P. Sorensen wrote:
 >
 >> Well known error at least om Mandrake 8.2
 >>
 >> Try: SSLMutex none
 >>
 >> Jan
 >>
 >> On Tue, 4 Jun 2002, Harley Puthuff wrote:
 >>
 >>
 >>
 >>> I used to use Apache 1.3.19 and Apache SSL without any 
problem. After
 >>> installing Apache v.2, though, I get sporadic 'hangs' 
when a client
 >>> switches
 >>> from an http page to an https page. I see in the 
ssl_engine_log that
 >>> mutex
 >>> is mentioned a lot. I've tried different options for 
the SSLMutex
 >>> directive,
 >>> but it doesn't seem to make the warning go away.
 >>>
 >>> This is what I'm using now:
 >>>
 >>> SSLPassPhraseDialog  builtin
 >>> SSLSessionCache 
dbm:/usr/local/apache2/logs/ssl_gcache
 >>> SSLSessionCacheTimeout  300
 >>> SSLMutex  file:/usr/local/apache2/logs/ssl_mutex
 >>> SSLRandomSeed startup builtin
 >>> SSLRandomSeed connect builtin
 >>> SSLLog      /usr/local/apache2/logs/ssl_engine_log
 >>> SSLLogLevel info
 >>>
 >>> And this is an example of what happens according to the 
SSL log. The
 >>> first
 >>> connection succeeded, the second one hung up:
 >>>
 >>> [03/Jun/2002 18:37:03 03630] [info]  Connection to 
child 19 established
 >>> (server www.astdgoldengate.org:443, client 12.236.195.38)
 >>> [03/Jun/2002 18:37:03 03630] [info]  Seeding PRNG with 
136 bytes of
 >>> entropy
 >>> [03/Jun/2002 18:37:03 03630] [warn]  Failed to acquire 
global mutex lock
 >>> [03/Jun/2002 18:37:03 03630] [warn]  Failed to release 
global mutex lock
 >>> [03/Jun/2002 18:37:03 03630] [info]  Connection: Client 
IP:
 >>> 12.236.195.38,
 >>> Protocol: SSLv3, Cipher: RC4-MD5 (128/128 bits)
 >>> [03/Jun/2002 18:37:03 03630] [info]  Initial (No.1) 
HTTPS request
 >>> received
 >>> for child 19 (server www.astdgoldengate.org:443)
 >>> [03/Jun/2002 18:37:19 03630] [info]  Connection to 
child 19 closed with
 >>> standard shutdown(server www.astdgoldengate.org:443, 
client
 >>> 12.236.195.38)
 >>> [03/Jun/2002 18:40:49 03642] [info]  Connection to 
child 25 established
 >>> (server www.astdgoldengate.org:443, client 12.236.195.38)
 >>> [03/Jun/2002 18:40:49 03642] [info]  Seeding PRNG with 
136 bytes of
 >>> entropy
 >>> [03/Jun/2002 18:40:49 03642] [warn]  Failed to acquire 
global mutex lock
 >>> [03/Jun/2002 18:40:49 03642] [warn]  Failed to release 
global mutex lock
 >>>
 >>> I'd appreciate any input anyone has with a similar 
scenario.
 >>> Thanks,
 >>> /s/ Harley Puthuff

-- 
.tom

-- 
.tom
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]